{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "MONTANT_HT"; 
            externalType = NUMBER; 
            name = montantHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            columnName = "SR_ORDRE"; 
            externalType = NUMBER; 
            name = srOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (montantHt, srOrdre); 
    className = "org.cocktail.fwkcktlgfcoperations.server.metier.operation.RepartSbRecettePlanComptable"; 
    classProperties = (montantHt, planco, sbRecette); 
    externalName = "GFC.REPART_SB_RECETTE_PLANCO"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (pcoNum, planco); }; 
    name = OpeRepartSbRecettePlanComptable; 
    primaryKeyAttributes = (pcoNum, srOrdre); 
    relationships = (
        {
            destination = "FwkGFCEos_PlanComptable"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcoNum; sourceAttribute = pcoNum; }); 
            name = planco; 
        }, 
        {
            destination = OpeSbRecette; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = srOrdre; sourceAttribute = srOrdre; }); 
            name = sbRecette; 
        }
    ); 
}
